"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const paths_1 = require("../utils/paths");
const prepare_1 = require("../utils/prepare");
const disableCheckRequiredFilesPath_1 = require("../utils/disableCheckRequiredFilesPath");
const disableCheckTS_1 = require("../utils/disableCheckTS");
const customizePaths_1 = require("../utils/customizePaths");
const customizeWebpack_1 = require("../utils/customizeWebpack");
class Build extends command_1.Command {
    async run() {
        process.env.NODE_ENV = 'production';
        prepare_1.prepare();
        customizePaths_1.customizePaths();
        customizeWebpack_1.customizeWebpack();
        disableCheckRequiredFilesPath_1.disableCheckRequiredFilesPath();
        disableCheckTS_1.disableCheckTS();
        // TODO: hack
        customizePaths_1.customizePaths();
        // run original script
        require(`${paths_1.reactScriptsModulePath}/scripts/build`);
    }
}
Build.description = 'Build project for production';
Build.aliases = ['b'];
Build.examples = [`$ dh build`];
exports.default = Build;
