"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const paths_1 = require("../utils/paths");
const prepare_1 = require("../utils/prepare");
const wather_1 = require("../utils/wather");
const disableClearConsole_1 = require("../utils/disableClearConsole");
const customizeServer_1 = require("../utils/customizeServer");
const disableCheckRequiredFilesPath_1 = require("../utils/disableCheckRequiredFilesPath");
const disableCheckTS_1 = require("../utils/disableCheckTS");
const customizePaths_1 = require("../utils/customizePaths");
const customizeWebpack_1 = require("../utils/customizeWebpack");
class Start extends command_1.Command {
    async run() {
        process.env.NODE_ENV = process.env.NODE_ENV || 'development';
        await prepare_1.prepare();
        wather_1.watcher();
        // customize cra
        customizePaths_1.customizePaths();
        customizeWebpack_1.customizeWebpack();
        // TODO: hack
        customizeServer_1.customizeServer();
        disableCheckRequiredFilesPath_1.disableCheckRequiredFilesPath();
        disableClearConsole_1.disableClearConsole();
        disableCheckTS_1.disableCheckTS();
        require(`${paths_1.reactScriptsModulePath}/scripts/start`);
    }
}
Start.description = 'Run a dev server for development';
Start.aliases = ['s'];
Start.examples = [`$ dh start`];
exports.default = Start;
