"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const config_1 = require("./config");
function checkAppDir(root, appName) {
    const appDirFiles = fs_extra_1.default.readdirSync(root);
    const conflictFiles = appDirFiles.reduce((result, cur) => config_1.filesToCheck.includes(cur) ? [...result, cur] : result, []);
    // new project fail due to conflict
    if (conflictFiles.length) {
        const conflictMsg = getConflictMsg(appName, conflictFiles);
        throw conflictMsg;
    }
}
exports.checkAppDir = checkAppDir;
function getConflictMsg(projectName, existFiles) {
    const filesStr = existFiles.map(i => `  ${i}`).join('\n');
    return `
The directory ${chalk_1.default.green(projectName)} contains files that could conflict:

${chalk_1.default.red(filesStr)}

Either try using a new directory name, or remove the files listed above.
  `;
}
