"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const download_git_repo_1 = tslib_1.__importDefault(require("download-git-repo"));
const DAHLIA_TEMPLATE = 'forsigner/dahlia-template';
async function createApp(root) {
    return new Promise((resolve, reject) => {
        download_git_repo_1.default(DAHLIA_TEMPLATE, root, (err) => {
            if (err)
                return reject(err);
            resolve();
            console.log(`Creating a new Dahlia app in ${chalk_1.default.green(root)}.`);
            console.log();
            console.log('Installing packages. This might take a couple of minutes.');
            console.log(`Installing ${chalk_1.default.cyan('react')}, ${chalk_1.default.cyan('react-dom')}, and ${chalk_1.default.cyan('dahlia')}...`);
            console.log();
        });
    });
}
exports.createApp = createApp;
