"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const path_1 = require("path");
const paths_1 = require("./paths");
function writeDefaultFile(name) {
    const path = path_1.join(paths_1.baseDir, 'assets', 'common', name);
    fs_extra_1.default.copyFileSync(path, path_1.join(paths_1.tmpCommonDir, name));
}
function createTmpCommonDir() {
    fs_extra_1.default.ensureDirSync(paths_1.tmpCommonDir);
}
function createCommonFiles() {
    createTmpCommonDir();
    paths_1.commonPaths.forEach(({ origin, target, name }) => {
        if (fs_extra_1.default.existsSync(origin)) {
            fs_extra_1.default.copyFileSync(origin, target);
        }
        else {
            writeDefaultFile(name);
        }
    });
}
exports.createCommonFiles = createCommonFiles;
