"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const paths_1 = require("./paths");
const texts_1 = tslib_1.__importDefault(require("./texts"));
function writeDefaultFile(target) {
    fs_extra_1.default.writeFileSync(target, texts_1.default.config, {
        encoding: 'utf8',
    });
}
function createTmpConifgDir() {
    fs_extra_1.default.ensureDirSync(paths_1.tmpConfigDir);
}
exports.createConfigFile = () => {
    createTmpConifgDir();
    paths_1.configPaths.forEach(({ origin, target }) => {
        if (fs_extra_1.default.existsSync(origin)) {
            fs_extra_1.default.copyFileSync(origin, target);
        }
        else {
            writeDefaultFile(target);
        }
    });
};
