"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const cross_spawn_1 = tslib_1.__importDefault(require("cross-spawn"));
const paths_1 = require("./paths");
exports.createDahliaConfig = () => {
    if (!fs_extra_1.default.existsSync(paths_1.dahliaConfigPath))
        return;
    const args = [
        paths_1.dahliaConfigPath,
        '--target',
        'es5',
        '--lib',
        'es7,esnext.asynciterable',
        '--moduleResolution',
        'node',
        '--skipLibCheck',
        '--esModuleInterop',
        '--outDir',
        paths_1.tmpDir,
    ];
    cross_spawn_1.default.sync(paths_1.tscScript, args, {
        stdio: 'inherit',
    });
};
