"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const json_ts_1 = require("json-ts");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const paths_1 = require("./paths");
const formatCode_1 = require("./formatCode");
function writeFile(text) {
    fs_extra_1.default.ensureDirSync(paths_1.tmpLocalesDir);
    const typingText = formatCode_1.formatCode(`export ${text}`);
    fs_extra_1.default.writeFileSync(paths_1.localeTypingsPath, typingText, { encoding: 'utf8' });
}
async function createLocaleTypings() {
    try {
        delete require.cache[require.resolve(paths_1.tmpDefaultLocalePath)];
        const locale = require(paths_1.tmpDefaultLocalePath);
        const typings = json_ts_1.json2ts(JSON.stringify(locale), {
            rootName: 'I18n',
            prefix: '',
        });
        writeFile(typings);
    }
    catch (e) {
        console.log('[国际化处理错误]', e);
    }
}
exports.createLocaleTypings = createLocaleTypings;
