"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_extra_1 = tslib_1.__importDefault(require("fs-extra"));
const paths_1 = require("./paths");
const localeObj = {
    appName: '一个牛逼的平台',
    nav: {
        home: '首页',
        contact: '联系',
        about: '关于',
    },
};
const localeText = JSON.stringify(localeObj, null, 2);
function writeDefaultFile() {
    createLocalesDir();
    fs_extra_1.default.writeFileSync(paths_1.tmpDefaultLocalePath, localeText, {
        encoding: 'utf8',
    });
}
function createLocalesDir() {
    fs_extra_1.default.ensureDirSync(paths_1.tmpLocalesDir);
}
function createLocalesFiles() {
    const shouldCreateDefaultLocales = !fs_extra_1.default.existsSync(paths_1.localesDir) || !fs_extra_1.default.existsSync(paths_1.defaultLocalePath);
    // 不存在用户的 locales, 使用默认的
    if (shouldCreateDefaultLocales) {
        writeDefaultFile();
    }
    else {
        // 存在用户的 locales
        fs_extra_1.default.copySync(paths_1.localesDir, paths_1.tmpLocalesDir);
    }
}
exports.createLocalesFiles = createLocalesFiles;
