"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const paths_1 = require("./paths");
const getDahliaConfig_1 = require("./getDahliaConfig");
exports.customizeServer = () => {
    const devServerConfig = require(paths_1.devServerConfigPath);
    let config = devServerConfig();
    config.contentBase = [
        path_1.join(paths_1.appDir, '.dahlia', 'public'),
        path_1.join(paths_1.appDir, 'public'),
    ];
    const dahliaConfig = getDahliaConfig_1.getDahliaConfig();
    if (dahliaConfig && dahliaConfig.devServer) {
        config = dahliaConfig.devServer(config);
    }
    require.cache[require.resolve(paths_1.devServerConfigPath)].exports = () => {
        return config;
    };
};
