"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = require("path");
const dahlia_webpack_override_1 = tslib_1.__importDefault(require("dahlia-webpack-override"));
const dahlia_webpack_styled_jsx_1 = tslib_1.__importDefault(require("dahlia-webpack-styled-jsx"));
const dahlia_webpack_styled_components_1 = tslib_1.__importDefault(require("dahlia-webpack-styled-components"));
const dahlia_webpack_alias_1 = tslib_1.__importDefault(require("dahlia-webpack-alias"));
const paths_1 = require("./paths");
const overrideWebpackExclude_1 = require("./overrideWebpackExclude");
const getDahliaConfig_1 = require("./getDahliaConfig");
const webpackbar_1 = tslib_1.__importDefault(require("webpackbar"));
function resolve(path) {
    return path_1.join(paths_1.appDir, path);
}
exports.customizeWebpack = () => {
    const webpackConfig = require(paths_1.webpackConfigPath);
    require.cache[require.resolve(paths_1.webpackConfigPath)].exports = (env) => {
        const config = webpackConfig(env);
        if (config.plugins) {
            config.plugins.push(new webpackbar_1.default());
        }
        const newConfig = dahlia_webpack_override_1.default(config, env).pipe(dahlia_webpack_styled_components_1.default(), dahlia_webpack_styled_jsx_1.default(), overrideWebpackExclude_1.overrideWebpackExclude(), dahlia_webpack_alias_1.default({
            '@utils': resolve('utils/'),
            '@stores': resolve('stores/'),
            '@components': resolve('components/'),
            '@layouts': resolve('layouts/'),
            '@pages': resolve('pages/'),
            '@modals': resolve('modals/'),
            '@config': resolve('config/'),
            '@interfaces': resolve('interfaces/'),
            '@locales': resolve('locales/'),
        }));
        const dahliaConfig = getDahliaConfig_1.getDahliaConfig();
        if (dahliaConfig && dahliaConfig.webpack) {
            return dahliaConfig.webpack(newConfig, env);
        }
        return newConfig;
    };
};
