"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cross_spawn_1 = tslib_1.__importDefault(require("cross-spawn"));
const canUseYarn_1 = require("./canUseYarn");
const config_1 = require("./config");
function getInstallArgs(root) {
    const useYarn = canUseYarn_1.canUseYarn();
    const installCommand = useYarn ? 'add' : 'install';
    const args = [installCommand, '--save'];
    if (useYarn) {
        args.push('--cwd');
        args.push(root);
    }
    return args.concat(config_1.deps.sort());
}
function install(root) {
    const command = canUseYarn_1.canUseYarn() ? 'yarn' : 'npm';
    const args = getInstallArgs(root);
    const child = cross_spawn_1.default(command, args, {
        stdio: 'inherit',
    });
    return new Promise((resolve, reject) => {
        child.on('close', code => {
            if (code !== 0) {
                reject({
                    command: `${command} ${args.join(' ')}`,
                });
                return;
            }
            resolve();
        });
    });
}
exports.install = install;
