"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const fs_1 = tslib_1.__importDefault(require("fs"));
exports.baseDir = path_1.default.join(__dirname, '..', '..');
exports.appDir = path_1.default.resolve(fs_1.default.realpathSync(process.cwd()));
exports.tmpDir = `${exports.appDir}/.dahlia`;
exports.tmpConfigDir = `${exports.tmpDir}/config`;
exports.dahliaConfigPath = `${exports.appDir}/dahlia.config.ts`;
exports.tmpDahliaConfigPath = `${exports.tmpDir}/dahlia.config.js`;
exports.pagesDir = `${exports.appDir}/pages`;
exports.pageFiles = `${exports.appDir}/pages/**/*.{ts,tsx}`;
exports.modalsDir = `${exports.appDir}/modals`;
exports.modalFiles = `${exports.appDir}/modals/**/*.{ts,tsx}`;
exports.configPaths = [
    {
        origin: `${exports.appDir}/config/config.local.ts`,
        target: `${exports.tmpDir}/config/config.local.ts`,
    },
    {
        origin: `${exports.appDir}/config/config.default.ts`,
        target: `${exports.tmpDir}/config/config.default.ts`,
    },
    {
        origin: `${exports.appDir}/config/config.prod.ts`,
        target: `${exports.tmpDir}/config/config.prod.ts`,
    },
];
exports.interceptorPaths = [
    {
        origin: `${exports.appDir}/interceptors/response.ts`,
        target: `${exports.tmpDir}/interceptors/response.ts`,
    },
    {
        origin: `${exports.appDir}/interceptors/responseError.ts`,
        target: `${exports.tmpDir}/interceptors/responseError.ts`,
    },
    {
        origin: `${exports.appDir}/interceptors/request.ts`,
        target: `${exports.tmpDir}/interceptors/request.ts`,
    },
    {
        origin: `${exports.appDir}/interceptors/requestError.ts`,
        target: `${exports.tmpDir}/interceptors/requestError.ts`,
    },
];
exports.tmpCommonDir = `${exports.tmpDir}/common`;
exports.commonDir = `${exports.appDir}/common`;
exports.commonFiles = `${exports.appDir}/common/**/*.{ts,tsx}`;
exports.commonPaths = [
    {
        name: 'App.tsx',
        origin: `${exports.appDir}/common/App.tsx`,
        target: `${exports.tmpDir}/common/App.tsx`,
    },
    {
        name: 'Modal.tsx',
        origin: `${exports.appDir}/common/Modal.tsx`,
        target: `${exports.tmpDir}/common/Modal.tsx`,
    },
];
exports.devConfigPath = `${exports.appDir}/config/config.dev.ts`;
exports.tmpDevConfigPath = `${exports.tmpDir}/config/config.dev.ts`;
exports.tmpProdConfigPath = `${exports.tmpDir}/config/config.prod.ts`;
exports.routerConfigPath = `${exports.appDir}/config/router.config.ts`;
exports.tmpRouterConfigPath = `${exports.tmpDir}/config/router.config.ts`;
exports.modalConfigPath = `${exports.appDir}/config/modal.config.ts`;
exports.tmpModalsConfigPath = `${exports.tmpDir}/config/modal.config.ts`;
exports.entryPath = `${exports.tmpDir}/index.tsx`;
exports.htmlPath = `${exports.tmpDir}/index.html`;
exports.publicDir = `${exports.tmpDir}/public`;
exports.localesDir = `${exports.appDir}/locales`;
exports.tmpLocalesDir = `${exports.tmpDir}/locales`;
exports.defaultLocalePath = `${exports.appDir}/locales/default.json`;
exports.tmpDefaultLocalePath = `${exports.tmpDir}/locales/default.json`;
exports.localeFiles = `${exports.appDir}/locales/**/*.json`;
exports.localeTypingsPath = path_1.default.join(exports.appDir, 'node_modules', 'dahlia-i18n', 'dist', 'typings.d.ts');
exports.interceptorsDir = `${exports.appDir}/interceptors`;
exports.tmpInterceptorsDir = `${exports.tmpDir}/interceptors`;
exports.tscScript = path_1.default.join(exports.appDir, 'node_modules', '.bin', 'tsc');
exports.reactScripts = path_1.default.join(exports.appDir, 'node_modules', '.bin', 'react-scripts');
const reactScriptsModulePath = 'react-scripts';
exports.reactScriptsModulePath = reactScriptsModulePath;
const webpackConfigPath = `${reactScriptsModulePath}/config/webpack.config`;
exports.webpackConfigPath = webpackConfigPath;
const devServerConfigPath = `${reactScriptsModulePath}/config/webpackDevServer.config`;
exports.devServerConfigPath = devServerConfigPath;
const reactScriptsPaths = `${reactScriptsModulePath}/config/paths`;
exports.reactScriptsPaths = reactScriptsPaths;
