"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rmTmpDir_1 = require("./rmTmpDir");
const createDahliaConfig_1 = require("./createDahliaConfig");
const customizeAppInfo_1 = require("./customizeAppInfo");
const createEntryFile_1 = require("./createEntryFile");
const createHtmlFile_1 = require("./createHtmlFile");
const createPublicFiles_1 = require("./createPublicFiles");
const createCommonFiles_1 = require("./createCommonFiles");
const createConfigFile_1 = require("./createConfigFile");
const createRouterConfig_1 = require("./createRouterConfig");
const createModalConfig_1 = require("./createModalConfig");
const createLocaleTypings_1 = require("./createLocaleTypings");
const createLocalesFiles_1 = require("./createLocalesFiles");
const createInterceptorFiles_1 = require("./createInterceptorFiles");
async function prepare() {
    rmTmpDir_1.rmTmpDir();
    createDahliaConfig_1.createDahliaConfig();
    customizeAppInfo_1.customizeAppInfo();
    // create file
    createEntryFile_1.createEntryFile();
    createPublicFiles_1.createPublicFiles();
    createCommonFiles_1.createCommonFiles();
    createHtmlFile_1.createHtmlFile();
    createConfigFile_1.createConfigFile();
    createRouterConfig_1.createRouterConfig();
    createModalConfig_1.createModalConfig();
    createLocalesFiles_1.createLocalesFiles();
    await createLocaleTypings_1.createLocaleTypings();
    createInterceptorFiles_1.createInterceptorFiles();
}
exports.prepare = prepare;
