"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chokidar_1 = require("chokidar");
const paths_1 = require("./paths");
const createLocaleTypings_1 = require("./createLocaleTypings");
const createLocalesFiles_1 = require("./createLocalesFiles");
exports.watchLocale = () => {
    chokidar_1.watch(paths_1.localesDir, {
        ignoreInitial: false,
    }).on('all', eventType => {
        if (['unlink'].includes(eventType)) {
            createLocalesFiles_1.createLocalesFiles();
            createLocaleTypings_1.createLocaleTypings();
        }
    });
    chokidar_1.watch(paths_1.localeFiles, {
        ignoreInitial: true,
    }).on('all', eventType => {
        if (['add', 'change', 'unlink'].includes(eventType)) {
            createLocalesFiles_1.createLocalesFiles();
            createLocaleTypings_1.createLocaleTypings();
        }
    });
};
